summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHongjun Ni <hongjun.ni@intel.com>2020-01-19 22:18:56 +0800
committerHongjun Ni <hongjun.ni@intel.com>2020-01-21 22:13:15 +0800
commitd30c4ade95d46c226c81e3ea2e06394ffd90da75 (patch)
tree9e3e02ec70427e262292610cae43f8dad78c3255
parent9d70c744cd4b65ca2e6ed7be5742aa56f0b85b76 (diff)
Create new stream stable 2001 for udpi
Change-Id: I56163f0ce60e035da9cb74a358963fdf134c6914 Signed-off-by: Hongjun Ni <hongjun.ni@intel.com>
-rw-r--r--jjb/udpi/include-raw-udpi-build.sh53
-rw-r--r--jjb/udpi/include-raw-udpi-checkstyle.sh7
-rw-r--r--jjb/udpi/udpi.yaml18
3 files changed, 77 insertions, 1 deletions
diff --git a/jjb/udpi/include-raw-udpi-build.sh b/jjb/udpi/include-raw-udpi-build.sh
new file mode 100644
index 000000000..d4c52ff54
--- /dev/null
+++ b/jjb/udpi/include-raw-udpi-build.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+
+##container server node detection
+grep search /etc/resolv.conf || true
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo OS_ID: $OS_ID
+echo OS_VERSION_ID: $OS_VERSION_ID
+
+function setup {
+ if ! [ -z ${REPO_NAME} ]; then
+ echo "INSTALLING VPP-DPKG-DEV from apt/yum repo"
+ REPO_URL="https://packagecloud.io/fdio/${STREAM}"
+ echo "REPO_URL: ${REPO_URL}"
+ # Setup by installing vpp-dev and vpp-lib
+ if [ "$OS_ID" == "ubuntu" ]; then
+ if [ -f /etc/apt/sources.list.d/99fd.io.list ];then
+ echo "Deleting: /etc/apt/sources.list.d/99fd.io.list"
+ sudo rm /etc/apt/sources.list.d/99fd.io.list
+ fi
+ if [ -f /etc/apt/sources.list.d/fdio_master.list ];then
+ echo "Deleting: /etc/apt/sources.list.d/fdio_master.list"
+ sudo rm /etc/apt/sources.list.d/fdio_master.list
+ fi
+ curl -s https://packagecloud.io/install/repositories/fdio/${STREAM}/script.deb.sh | sudo bash
+ elif [ "$OS_ID" == "centos" ]; then
+ if [ -f /etc/yum.repos.d/fdio-master.repo ]; then
+ echo "Deleting: /etc/yum.repos.d/fdio-master.repo"
+ sudo rm /etc/yum.repos.d/fdio-master.repo
+ fi
+ if [ -f /etc/yum.repos.d/fdio_master.repo ]; then
+ echo "Deleting: /etc/yum.repos.d/fdio_master.repo"
+ sudo rm /etc/yum.repos.d/fdio_master.repo
+ fi
+ curl -s https://packagecloud.io/install/repositories/fdio/${STREAM}/script.rpm.sh | sudo bash
+ fi
+ fi
+}
+
+setup
+
+echo "Building using \"make build-root/build.sh\""
+[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes install-dep
+[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes build-package-hyperscan
+[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes build-package
+
+echo "*******************************************************************"
+echo "* UDPI BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"
diff --git a/jjb/udpi/include-raw-udpi-checkstyle.sh b/jjb/udpi/include-raw-udpi-checkstyle.sh
new file mode 100644
index 000000000..8f9dd1af3
--- /dev/null
+++ b/jjb/udpi/include-raw-udpi-checkstyle.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+if [ -f scripts/checkstyle.sh ];then
+ scripts/checkstyle.sh
+else
+ echo "Cannot find cat build-root/scripts/checkstyle.sh - skipping checkstyle"
+fi
diff --git a/jjb/udpi/udpi.yaml b/jjb/udpi/udpi.yaml
index 1d910d0f6..9e9320332 100644
--- a/jjb/udpi/udpi.yaml
+++ b/jjb/udpi/udpi.yaml
@@ -31,6 +31,9 @@
- master:
branch: 'master'
repo-stream-part: 'master'
+ - '2001':
+ branch: 'stable/2001'
+ repo-stream-part: 'stable.2001'
- project:
name: udpi-view
@@ -94,7 +97,11 @@
files:
- file-id: 'packagecloud_api'
target: '/root'
-
+ - shell:
+ !include-raw-escape: include-raw-udpi-checkstyle.sh
+ - shell:
+ !include-raw-escape:
+ - include-raw-udpi-build.sh
publishers:
- lf-infra-publish
- naginator:
@@ -153,6 +160,15 @@
files:
- file-id: 'packagecloud_api'
target: '/root'
+ - shell:
+ !include-raw-escape: include-raw-udpi-checkstyle.sh
+ - shell:
+ !include-raw-escape:
+ - include-raw-udpi-build.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/packagecloud_push.sh
+
publishers:
- lf-infra-publish